Commit b4f5e045 authored by Benni Mack's avatar Benni Mack Committed by Andreas Fernandez
Browse files

[TASK] Raise twitter bootstrap to 3.4.1

To ensure that we incorporate the latest known
vulnerabilities and issues in Twitter Bootstrap 3.x,
the dependency is updated.

Executed tasks:
  cd Build
  yarn add bootstrap-sass@^3.4.1 --dev
  yarn exec grunt

Then copying the contents of Build/node_modules/bootstrap-sass/assets/javascripts/bootstrap.min.js
into typo3/sysext/core/Resources/Public/JavaScript/Contrib/bootstrap/bootstrap.js
additionally adding the AMD factory wrapper.

Resolves: #88213
Releases: master, 9.5, 8.7
Change-Id: Iae1274b1ca557f6337eea090e39292938b9571f2
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/60556


Tested-by: default avatarTYPO3com <noreply@typo3.com>
Tested-by: Mathias Brodala's avatarMathias Brodala <mbrodala@pagemachine.de>
Tested-by: Andreas Fernandez's avatarAndreas Fernandez <a.fernandez@scripting-base.de>
Reviewed-by: Susanne Moog's avatarSusanne Moog <look@susi.dev>
Reviewed-by: Mathias Brodala's avatarMathias Brodala <mbrodala@pagemachine.de>
Reviewed-by: Andreas Fernandez's avatarAndreas Fernandez <a.fernandez@scripting-base.de>
parent a683732e
......@@ -27,7 +27,7 @@
"@typo3/icons": "1.8.0",
"autoprefixer": "^6.3.7",
"autosize": "^3.0.21",
"bootstrap-sass": "^3.4.0",
"bootstrap-sass": "^3.4.1",
"bootstrap-slider": "^9.7.3",
"chosen-js": "^1.7.0",
"ckeditor": "^4.11.3",
......
......@@ -708,10 +708,10 @@ boom@5.x.x:
dependencies:
hoek "4.x.x"
bootstrap-sass@^3.4.0:
version "3.4.0"
resolved "https://registry.yarnpkg.com/bootstrap-sass/-/bootstrap-sass-3.4.0.tgz#b1c330a56782347f626d31d497fa4aea16b3f99b"
integrity sha512-qdUyw4KmNNPSIdBadn+eyuuQFH0LsZlRCs6tor1zN8sQas7mnY5JNfemauraOdNPiFQd2gFeeo3gZjZZCuohZg==
bootstrap-sass@^3.4.1:
version "3.4.1"
resolved "https://registry.yarnpkg.com/bootstrap-sass/-/bootstrap-sass-3.4.1.tgz#6843c73b1c258a0ac5cb2cc6f6f5285b664a8e9a"
integrity sha512-p5rxsK/IyEDQm2CwiHxxUi0MZZtvVFbhWmyMOt4lLkA4bujDA1TGoKT0i1FKIWiugAdP+kK8T5KMDFIKQCLYIA==
bootstrap-slider@^9.7.3:
version "9.10.0"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment